> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mastermindcms.com/llms.txt
> Use this file to discover all available pages before exploring further.

# SalesCatalogServiceImpl

> Aufruf öffentlicher Servicemethoden über die REST API: salesCatalogServiceImpl

<ResponseField name="beanId" type="string">
  Die Spring-Bean-ID des aufzurufenden Services.

  salesCatalogServiceImpl
</ResponseField>

<ResponseField name="scope" type="string" default="PROTOTYPE">
  Bean-Scope. Für Serviceaufrufe wird PROTOTYPE verwendet.
</ResponseField>

<ResponseField name="functionName" type="string">
  Der öffentliche Methodenname des Services, der in der Signatur angegeben ist.
</ResponseField>

<ResponseField name="args" type="object[]">
  Das Argument-Array der Methode. Jedes Argument wird mit dem Index 0, 1 usw. übergeben; der Wert muss dem Java-Parametertyp entsprechen.
</ResponseField>

## Headers

```http theme={null}
POST /api/v1/bean/request
Content-Type: application/json
Lang-Context: de
Site-Context: my-site
Authorization: Bearer <token>
```

Senden Sie `Lang-Context` und `Site-Context` mit jeder Anfrage. Für geschützte Methoden senden Sie das JWT im Header `Authorization` im Format `Bearer <token>`.

**Zugriff:** ADMIN. **Bearer Token:** bedingt für USER/ADMIN.

* GUEST — nicht angemeldete Benutzer; nur Whitelist-Services sind verfügbar.
* USER — Authentifizierung erforderlich; Methoden mit USER-Prüfung sind verfügbar.
* ADMIN — vollständiger Zugriff auf öffentliche Methoden aller Services.
* Wenn eine Methode intern eine Rolle prüft, kann GUEST null erhalten.

## Methoden

<ResponseField name="getPaginationUnits" type="Deque<Map<String, Object>>">
  | Argument      | Typ      | Beschreibung                |
  | ------------- | -------- | --------------------------- |
  | `requestJson` | `String` | Übergeben über `args[0].0`. |

  ### getPaginationUnits

  ```json theme={null}
  {
    "beanId": "salesCatalogServiceImpl",
    "scope": "PROTOTYPE",
    "functionName": "getPaginationUnits",
    "args": [
      {
        "0": null
      }
    ]
  }
  ```
</ResponseField>

<ResponseField name="searchUnits" type="LinkedHashSet<UnitDTO>">
  | Argument      | Typ      | Beschreibung                |
  | ------------- | -------- | --------------------------- |
  | `requestJson` | `String` | Übergeben über `args[0].0`. |

  ### searchUnits

  ```json theme={null}
  {
    "beanId": "salesCatalogServiceImpl",
    "scope": "PROTOTYPE",
    "functionName": "searchUnits",
    "args": [
      {
        "0": null
      }
    ]
  }
  ```
</ResponseField>

<ResponseField name="searchUnitsPaged" type="Page<Unit>">
  | Argument      | Typ      | Beschreibung                |
  | ------------- | -------- | --------------------------- |
  | `requestJson` | `String` | Übergeben über `args[0].0`. |

  ### searchUnitsPaged

  ```json theme={null}
  {
    "beanId": "salesCatalogServiceImpl",
    "scope": "PROTOTYPE",
    "functionName": "searchUnitsPaged",
    "args": [
      {
        "0": null
      }
    ]
  }
  ```
</ResponseField>

<ResponseField name="getAllCurrencies" type="List<CurrencyItem>">
  | Argument | Typ | Beschreibung                              |
  | -------- | --- | ----------------------------------------- |
  | —        | —   | Diese Methode akzeptiert keine Argumente. |

  ### getAllCurrencies

  ```json theme={null}
  {
    "beanId": "salesCatalogServiceImpl",
    "scope": "PROTOTYPE",
    "functionName": "getAllCurrencies",
    "args": []
  }
  ```
</ResponseField>

<ResponseField name="getCurrencyByCode" type="CurrencyItem">
  | Argument | Typ      | Beschreibung                |
  | -------- | -------- | --------------------------- |
  | `code`   | `String` | Übergeben über `args[0].0`. |

  ### getCurrencyByCode

  ```json theme={null}
  {
    "beanId": "salesCatalogServiceImpl",
    "scope": "PROTOTYPE",
    "functionName": "getCurrencyByCode",
    "args": [
      {
        "0": null
      }
    ]
  }
  ```
</ResponseField>

<ResponseField name="getSellerSkuFromChatTopic" type="SellerSKU">
  | Argument | Typ      | Beschreibung                |
  | -------- | -------- | --------------------------- |
  | `topic`  | `String` | Übergeben über `args[0].0`. |

  ### getSellerSkuFromChatTopic

  ```json theme={null}
  {
    "beanId": "salesCatalogServiceImpl",
    "scope": "PROTOTYPE",
    "functionName": "getSellerSkuFromChatTopic",
    "args": [
      {
        "0": null
      }
    ]
  }
  ```
</ResponseField>

<ResponseField name="getCountOfSellerSkusBySeller" type="Map<String,String>">
  | Argument   | Typ      | Beschreibung                |
  | ---------- | -------- | --------------------------- |
  | `sellerId` | `String` | Übergeben über `args[0].0`. |

  ### getCountOfSellerSkusBySeller

  ```json theme={null}
  {
    "beanId": "salesCatalogServiceImpl",
    "scope": "PROTOTYPE",
    "functionName": "getCountOfSellerSkusBySeller",
    "args": [
      {
        "0": null
      }
    ]
  }
  ```
</ResponseField>

<ResponseField name="getCountOfSellerSkus" type="Map<String, String>">
  | Argument      | Typ      | Beschreibung                |
  | ------------- | -------- | --------------------------- |
  | `requestJson` | `String` | Übergeben über `args[0].0`. |

  ### getCountOfSellerSkus

  ```json theme={null}
  {
    "beanId": "salesCatalogServiceImpl",
    "scope": "PROTOTYPE",
    "functionName": "getCountOfSellerSkus",
    "args": [
      {
        "0": null
      }
    ]
  }
  ```
</ResponseField>

<ResponseField name="createUnit" type="Optional<Unit>">
  | Argument    | Typ                             | Beschreibung                |
  | ----------- | ------------------------------- | --------------------------- |
  | `unitAsMap` | `LinkedHashMap<String, Object>` | Übergeben über `args[0].0`. |

  ### createUnit

  Beispiel für das JSON-Anfrageobjekt:

  ```json theme={null}
  {
      "id":  null,
      "type":  null,
      "name":  null,
      "countPerUnitSuffix":  null,
      "minOrderSuffix":  null,
      "quantitySuffix":  null,
      "searchTerms":  null,
      "fallIntoSellerSKUs":  null,
      "translations":  null
  }
  ```

  Request:

  ```json theme={null}
  {
    "beanId": "salesCatalogServiceImpl",
    "scope": "PROTOTYPE",
    "functionName": "createUnit",
    "args": [
      {
        "0": null
      }
    ]
  }
  ```
</ResponseField>

<ResponseField name="addPackageItemToSellerSku" type="SellerSKU">
  | Argument       | Typ                             | Beschreibung                |
  | -------------- | ------------------------------- | --------------------------- |
  | `sellerSkuId`  | `String`                        | Übergeben über `args[0].0`. |
  | `packageAsMap` | `LinkedHashMap<String, Object>` | Übergeben über `args[1].1`. |

  ### addPackageItemToSellerSku

  Beispiel für das JSON-Anfrageobjekt:

  ```json theme={null}
  {
      "id":  null,
      "countPerUnit":  0,
      "minOrder":  0,
      "quantity":  0,
      "lockedQuantity":  0,
      "embeddedSellerSKU":  null
  }
  ```

  Request:

  ```json theme={null}
  {
    "beanId": "salesCatalogServiceImpl",
    "scope": "PROTOTYPE",
    "functionName": "addPackageItemToSellerSku",
    "args": [
      {
        "0": null,
        "1": null
      }
    ]
  }
  ```
</ResponseField>

<ResponseField name="removePackageItemFromSellerSku" type="void">
  | Argument      | Typ      | Beschreibung                |
  | ------------- | -------- | --------------------------- |
  | `sellerSkuId` | `String` | Übergeben über `args[0].0`. |
  | `packageId`   | `String` | Übergeben über `args[1].1`. |

  ### removePackageItemFromSellerSku

  ```json theme={null}
  {
    "beanId": "salesCatalogServiceImpl",
    "scope": "PROTOTYPE",
    "functionName": "removePackageItemFromSellerSku",
    "args": [
      {
        "0": null,
        "1": null
      }
    ]
  }
  ```
</ResponseField>

<ResponseField name="removeFileResources" type="void">
  | Argument      | Typ      | Beschreibung                |
  | ------------- | -------- | --------------------------- |
  | `sellerSkuId` | `String` | Übergeben über `args[0].0`. |

  ### removeFileResources

  ```json theme={null}
  {
    "beanId": "salesCatalogServiceImpl",
    "scope": "PROTOTYPE",
    "functionName": "removeFileResources",
    "args": [
      {
        "0": null
      }
    ]
  }
  ```
</ResponseField>

<ResponseField name="saveSellerSkuAsDraft" type="SellerSKU">
  | Argument         | Typ                             | Beschreibung                |
  | ---------------- | ------------------------------- | --------------------------- |
  | `sellerSkuAsMap` | `LinkedHashMap<String, Object>` | Übergeben über `args[0].0`. |

  ### saveSellerSkuAsDraft

  Beispiel für das JSON-Anfrageobjekt:

  ```json theme={null}
  {
      "id":  null,
      "type":  null,
      "geneticType":  null,
      "name":  null,
      "packageItem":  null,
      "inventory":  null,
      "description":  null,
      "additionalTextInfo":  null,
      "price":  null,
      "currencyItem":  null,
      "countryOfOrigin":  null,
      "countryOfSeller":  null,
      "productsRef":  null,
      "expireDate":  null,
      "durabilityDate1":  null,
      "durabilityDate2":  null,
      "incoTerm":  null,
      "deliveryType":  null,
      "unit":  null,
      "imageURLs":  null,
      "keywords":  null,
      "searchTerms":  null,
      "embeddedSku":  null,
      "embeddedSeller":  null,
      "orderedItems":  null,
      "packagedItems":  null,
      "attributeValues":  null,
      "logicalTypeFilters":  null,
      "listTypeFilters":  null,
      "simpleTypeFilters":  null,
      "rangeFilters":  null,
      "numericFilters":  null,
      "documentURLs":  null,
      "isRandomGenerated":  false,
      "isPublishedForSale":  false,
      "score":  0
  }
  ```

  Request:

  ```json theme={null}
  {
    "beanId": "salesCatalogServiceImpl",
    "scope": "PROTOTYPE",
    "functionName": "saveSellerSkuAsDraft",
    "args": [
      {
        "0": null
      }
    ]
  }
  ```
</ResponseField>

<ResponseField name="saveSellerSKU" type="SellerSKU">
  | Argument         | Typ                             | Beschreibung                |
  | ---------------- | ------------------------------- | --------------------------- |
  | `sellerSkuAsMap` | `LinkedHashMap<String, Object>` | Übergeben über `args[0].0`. |

  ### saveSellerSKU

  Beispiel für das JSON-Anfrageobjekt:

  ```json theme={null}
  {
      "id":  null,
      "type":  null,
      "geneticType":  null,
      "name":  null,
      "packageItem":  null,
      "inventory":  null,
      "description":  null,
      "additionalTextInfo":  null,
      "price":  null,
      "currencyItem":  null,
      "countryOfOrigin":  null,
      "countryOfSeller":  null,
      "productsRef":  null,
      "expireDate":  null,
      "durabilityDate1":  null,
      "durabilityDate2":  null,
      "incoTerm":  null,
      "deliveryType":  null,
      "unit":  null,
      "imageURLs":  null,
      "keywords":  null,
      "searchTerms":  null,
      "embeddedSku":  null,
      "embeddedSeller":  null,
      "orderedItems":  null,
      "packagedItems":  null,
      "attributeValues":  null,
      "logicalTypeFilters":  null,
      "listTypeFilters":  null,
      "simpleTypeFilters":  null,
      "rangeFilters":  null,
      "numericFilters":  null,
      "documentURLs":  null,
      "isRandomGenerated":  false,
      "isPublishedForSale":  false,
      "score":  0
  }
  ```

  Request:

  ```json theme={null}
  {
    "beanId": "salesCatalogServiceImpl",
    "scope": "PROTOTYPE",
    "functionName": "saveSellerSKU",
    "args": [
      {
        "0": null
      }
    ]
  }
  ```
</ResponseField>

<ResponseField name="saveUnit" type="Unit">
  | Argument    | Typ                             | Beschreibung                |
  | ----------- | ------------------------------- | --------------------------- |
  | `unitAsMap` | `LinkedHashMap<String, Object>` | Übergeben über `args[0].0`. |

  ### saveUnit

  Beispiel für das JSON-Anfrageobjekt:

  ```json theme={null}
  {
      "id":  null,
      "type":  null,
      "name":  null,
      "countPerUnitSuffix":  null,
      "minOrderSuffix":  null,
      "quantitySuffix":  null,
      "searchTerms":  null,
      "fallIntoSellerSKUs":  null,
      "translations":  null
  }
  ```

  Request:

  ```json theme={null}
  {
    "beanId": "salesCatalogServiceImpl",
    "scope": "PROTOTYPE",
    "functionName": "saveUnit",
    "args": [
      {
        "0": null
      }
    ]
  }
  ```
</ResponseField>

<ResponseField name="getAllSellerTariff" type="Map<String, String>">
  | Argument | Typ | Beschreibung                              |
  | -------- | --- | ----------------------------------------- |
  | —        | —   | Diese Methode akzeptiert keine Argumente. |

  ### getAllSellerTariff

  ```json theme={null}
  {
    "beanId": "salesCatalogServiceImpl",
    "scope": "PROTOTYPE",
    "functionName": "getAllSellerTariff",
    "args": []
  }
  ```
</ResponseField>

<ResponseField name="removeSellerSkuAndClean" type="void">
  | Argument      | Typ      | Beschreibung                |
  | ------------- | -------- | --------------------------- |
  | `sellerSkuId` | `String` | Übergeben über `args[0].0`. |

  ### removeSellerSkuAndClean

  ```json theme={null}
  {
    "beanId": "salesCatalogServiceImpl",
    "scope": "PROTOTYPE",
    "functionName": "removeSellerSkuAndClean",
    "args": [
      {
        "0": null
      }
    ]
  }
  ```
</ResponseField>

<ResponseField name="removeSellerSkusByIds" type="void">
  | Argument        | Typ                 | Beschreibung                |
  | --------------- | ------------------- | --------------------------- |
  | `sellerSkusIds` | `ArrayList<String>` | Übergeben über `args[0].0`. |

  ### removeSellerSkusByIds

  ```json theme={null}
  {
    "beanId": "salesCatalogServiceImpl",
    "scope": "PROTOTYPE",
    "functionName": "removeSellerSkusByIds",
    "args": [
      {
        "0": null
      }
    ]
  }
  ```
</ResponseField>

<ResponseField name="createSellerSKU" type="Optional<SellerSKU>">
  | Argument         | Typ                             | Beschreibung                |
  | ---------------- | ------------------------------- | --------------------------- |
  | `sellerSkuAsMap` | `LinkedHashMap<String, Object>` | Übergeben über `args[0].0`. |

  ### createSellerSKU

  Beispiel für das JSON-Anfrageobjekt:

  ```json theme={null}
  {
      "id":  null,
      "type":  null,
      "geneticType":  null,
      "name":  null,
      "packageItem":  null,
      "inventory":  null,
      "description":  null,
      "additionalTextInfo":  null,
      "price":  null,
      "currencyItem":  null,
      "countryOfOrigin":  null,
      "countryOfSeller":  null,
      "productsRef":  null,
      "expireDate":  null,
      "durabilityDate1":  null,
      "durabilityDate2":  null,
      "incoTerm":  null,
      "deliveryType":  null,
      "unit":  null,
      "imageURLs":  null,
      "keywords":  null,
      "searchTerms":  null,
      "embeddedSku":  null,
      "embeddedSeller":  null,
      "orderedItems":  null,
      "packagedItems":  null,
      "attributeValues":  null,
      "logicalTypeFilters":  null,
      "listTypeFilters":  null,
      "simpleTypeFilters":  null,
      "rangeFilters":  null,
      "numericFilters":  null,
      "documentURLs":  null,
      "isRandomGenerated":  false,
      "isPublishedForSale":  false,
      "score":  0
  }
  ```

  Request:

  ```json theme={null}
  {
    "beanId": "salesCatalogServiceImpl",
    "scope": "PROTOTYPE",
    "functionName": "createSellerSKU",
    "args": [
      {
        "0": null
      }
    ]
  }
  ```
</ResponseField>

<ResponseField name="removeUnitAndClean" type="void">
  | Argument | Typ      | Beschreibung                |
  | -------- | -------- | --------------------------- |
  | `unitId` | `String` | Übergeben über `args[0].0`. |

  ### removeUnitAndClean

  ```json theme={null}
  {
    "beanId": "salesCatalogServiceImpl",
    "scope": "PROTOTYPE",
    "functionName": "removeUnitAndClean",
    "args": [
      {
        "0": null
      }
    ]
  }
  ```
</ResponseField>

<ResponseField name="removeUnitsByIds" type="void">
  | Argument   | Typ                 | Beschreibung                |
  | ---------- | ------------------- | --------------------------- |
  | `unitsIds` | `ArrayList<String>` | Übergeben über `args[0].0`. |

  ### removeUnitsByIds

  ```json theme={null}
  {
    "beanId": "salesCatalogServiceImpl",
    "scope": "PROTOTYPE",
    "functionName": "removeUnitsByIds",
    "args": [
      {
        "0": null
      }
    ]
  }
  ```
</ResponseField>

<ResponseField name="publishForSale" type="SellerSKU">
  | Argument      | Typ      | Beschreibung                |
  | ------------- | -------- | --------------------------- |
  | `sellerSkuId` | `String` | Übergeben über `args[0].0`. |

  ### publishForSale

  ```json theme={null}
  {
    "beanId": "salesCatalogServiceImpl",
    "scope": "PROTOTYPE",
    "functionName": "publishForSale",
    "args": [
      {
        "0": null
      }
    ]
  }
  ```
</ResponseField>

<ResponseField name="withdrawFromSale" type="SellerSKU">
  | Argument      | Typ      | Beschreibung                |
  | ------------- | -------- | --------------------------- |
  | `sellerSkuId` | `String` | Übergeben über `args[0].0`. |

  ### withdrawFromSale

  ```json theme={null}
  {
    "beanId": "salesCatalogServiceImpl",
    "scope": "PROTOTYPE",
    "functionName": "withdrawFromSale",
    "args": [
      {
        "0": null
      }
    ]
  }
  ```
</ResponseField>

<ResponseField name="changeType" type="SellerSKU">
  | Argument      | Typ      | Beschreibung                |
  | ------------- | -------- | --------------------------- |
  | `sellerSkuId` | `String` | Übergeben über `args[0].0`. |
  | `type`        | `String` | Übergeben über `args[1].1`. |

  ### changeType

  ```json theme={null}
  {
    "beanId": "salesCatalogServiceImpl",
    "scope": "PROTOTYPE",
    "functionName": "changeType",
    "args": [
      {
        "0": null,
        "1": null
      }
    ]
  }
  ```
</ResponseField>

<ResponseField name="duplicate" type="SellerSKU">
  | Argument      | Typ      | Beschreibung                |
  | ------------- | -------- | --------------------------- |
  | `sellerSkuId` | `String` | Übergeben über `args[0].0`. |

  ### duplicate

  ```json theme={null}
  {
    "beanId": "salesCatalogServiceImpl",
    "scope": "PROTOTYPE",
    "functionName": "duplicate",
    "args": [
      {
        "0": null
      }
    ]
  }
  ```
</ResponseField>

<ResponseField name="getSellerSkuDocumentUrls" type="List<Attachment>">
  | Argument      | Typ      | Beschreibung                |
  | ------------- | -------- | --------------------------- |
  | `sellerSkuId` | `String` | Übergeben über `args[0].0`. |

  ### getSellerSkuDocumentUrls

  ```json theme={null}
  {
    "beanId": "salesCatalogServiceImpl",
    "scope": "PROTOTYPE",
    "functionName": "getSellerSkuDocumentUrls",
    "args": [
      {
        "0": null
      }
    ]
  }
  ```
</ResponseField>
